DataCollect
Date: 2014-08-08

melting

## Class DataCollect

- java.lang.Object
- - melting.DataCollect

-     public class DataCollect
      extends java.lang.Object

  This class is useful to extract the different thermodynamic parameters from the HashMap which contains them.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataCollect()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addData(java.util.HashMap<java.lang.String,Thermodynamics> parameters)` add all of the mappings from the specified HashMap to the data of DataCollect.
    `Thermodynamics` | `getAsymmetry()` to get the Thermodynamics object containing the parameters for the internal loop asymmetry.
    `Thermodynamics` | `getAzobenzeneValue(java.lang.String seq1, java.lang.String seq2)` to get the Thermodynamics object containing the parameters for the String seq1 and the String seq2 with one of the sequences containing an azobenzene ("X_C" or "X_T").
    `Thermodynamics` | `getBonus(java.lang.String base1, java.lang.String lastBase, java.lang.String seqLoop, java.lang.String type)` to get the Thermodynamics object containing the parameters for a Hairpin loop 'seqLoop' preceded by the base 'base1' and followed by the base 'lastBase'.
    `Thermodynamics` | `getBulgeLoopvalue(java.lang.String size)` to get the Thermodynamics object containing the parameters for a bulge loop of size 'size'.
    `Thermodynamics` | `getClosureValue(java.lang.String base1, java.lang.String base2)` to get the Thermodynamics object containing the parameters for the base pair (base1, base2) next to the mismatching base pair.
    `Thermodynamics` | `getCNGvalue(java.lang.String repeats, java.lang.String seq1)` to get the Thermodynamics object containing the parameters for the CNG pattern 'seq1'.
    `Thermodynamics` | `getDanglingValue(java.lang.String seq1, java.lang.String seq2)` to get the Thermodynamics object containing the parameters for the dangling end present in the duplex composed of seq1 and seq2.
    `java.util.HashMap<java.lang.String,Thermodynamics>` | `getData()` This method is called to get the data of DataCollect.
    `Thermodynamics` | `getFirstMismatch(java.lang.String seq1, java.lang.String seq2, java.lang.String loop)` to get the Thermodynamics object containing the parameters for the first non canonical pair in the internal loop.
    `Thermodynamics` | `getHairpinLoopvalue(java.lang.String size)` to get the Thermodynamics object containing the parameters for a Hairpin loop of size 'size'.
    `Thermodynamics` | `getHydroxyadenosineValue(java.lang.String seq1, java.lang.String seq2)` to get the Thermodynamics object containing the parameters for the String seq1 and the String seq2 with one of the sequences containing a hydroxyadenine ("A*").
    `Thermodynamics` | `getInitiation()` to get the Thermodynamics object containing the parameters for the hybridization initiation.
    `Thermodynamics` | `getInitiation(java.lang.String type)` to get the Thermodynamics object containing the parameters for the initiation with the specified type of initiation.
    `Thermodynamics` | `getInitiationBulgevalue(java.lang.String size)` to get the Thermodynamics object containing the parameters for the initiation of a bulge loop of size 'size'.
    `Thermodynamics` | `getInitiationLoopValue()` to get the Thermodynamics object containing the parameters for the initiation of an internal loop.
    `Thermodynamics` | `getInitiationLoopValue(java.lang.String size)` to get the Thermodynamics object containing the parameters for the initiation of an internal loop with a specified size.
    `Thermodynamics` | `getInternalLoopValue(java.lang.String size)` to get the Thermodynamics object containing the parameters for an internal loop with a specified size.
    `Thermodynamics` | `getLockedAcidValue(java.lang.String seq1, java.lang.String seq2)` to get the Thermodynamics object containing the parameters for the String seq1 and the String seq2 with one of the sequences containing a locked nucleic acid ("AL", "TL", "GL" or "CL").
    `Thermodynamics` | `getMismatchParameterValue(java.lang.String base1, java.lang.String base2)` to get the Thermodynamics object containing the parameters for the mismatching base pair (base1, base2).
    `Thermodynamics` | `getMismatchValue(java.lang.String seq1, java.lang.String seq2)` to get the Thermodynamics object containing the parameters for the mismatch(es) present in the duplex composed of seq1 and seq2.
    `Thermodynamics` | `getMismatchValue(java.lang.String seq1, java.lang.String seq2, java.lang.String closing)` to get the Thermodynamics object containing the parameters for the the duplex composed of seq1 and seq2 with the specified type of closing base pairs.
    `Thermodynamics` | `getModifiedvalue(java.lang.String seq1, java.lang.String seq2)` to get the Thermodynamics object containing the parameters for the crick's pair composed of the String seq1 and the String seq2 with one of the sequences containing a specific nucleic acid.
    `Thermodynamics` | `getModifiedvalue(java.lang.String seq1, java.lang.String seq2, java.lang.String sens)` to get the Thermodynamics object containing the parameters for the String seq1 and the String seq2 with one of the sequences containing a specific nucleic acid and a dangling end.
    `Thermodynamics` | `getNNvalue(java.lang.String seq1, java.lang.String seq2)` to get the Thermodynamics containing the parameters for the crick's pair composed of the String seq1 and the String seq2.
    `Thermodynamics` | `getPenalty(java.lang.String type)` to get the Thermodynamics object containing the parameters for the penalty of type 'type'.
    `Thermodynamics` | `getPenalty(java.lang.String type, java.lang.String parameter)` to get the Thermodynamics object containing the parameters for a penalty of type 'type' for the specified parameter.
    `Thermodynamics` | `getSecondDanglingValue(java.lang.String seq1, java.lang.String seq2, java.lang.String sens)` to get the Thermodynamics object containing the parameters for the dangling end present in the duplex composed of seq1 and seq2 with the specified sens.
    `Thermodynamics` | `getSingleBulgeLoopvalue(java.lang.String seq1, java.lang.String seq2)` to get the Thermodynamics object containing the parameters for the single bulge (seq1, seq2).
    `Thermodynamics` | `getsymmetry()` to get the Thermodynamics object containing the parameters for the symmetry correction.
    `Thermodynamics` | `getTerminal(java.lang.String type)` to get the Thermodynamics containing the parameters for the specified type of terminal base pair.
    `Thermodynamics` | `getTerminalMismatchvalue(java.lang.String seq1, java.lang.String seq2)` to get the Thermodynamics object containing the parameters for the terminal mismatching base pair (seq1, seq2) of a hairpin loop.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataCollect

          public DataCollect()

  - ### Method Detail

    - #### getData

          public java.util.HashMap<java.lang.String,Thermodynamics> getData()

      This method is called to get the data of DataCollect.
      Returns:
        the data HashMap of DataCollect which contains the thermodynamic parameters.

    - #### addData

          public void addData(java.util.HashMap<java.lang.String,Thermodynamics> parameters)

      add all of the mappings from the specified HashMap to the data of DataCollect.

    - #### getTerminal

          public Thermodynamics getTerminal(java.lang.String type)

      to get the Thermodynamics containing the parameters for the specified type of terminal base pair.
      Parameters:
        `type` - : type of the terminal base pair.
      Returns:
        Thermodynamics object containing the parameters for the specified type of terminal base pair.

    - #### getNNvalue

          public Thermodynamics getNNvalue(java.lang.String seq1,
                                  java.lang.String seq2)

      to get the Thermodynamics containing the parameters for the crick's pair composed of the String seq1 and the String seq2.
      Parameters:
        `seq1` - : nucleic acids from the sequence (5'3') in the Crick's pair.
        `seq2` - : nucleic acids from the complementary sequence (3'5') in the Crick's pair.
      Returns:
        Thermodynamics object containing the parameters for the crick's pair composed of the String seq1 and the String seq2.

    - #### getInitiation

          public Thermodynamics getInitiation()

      to get the Thermodynamics object containing the parameters for the hybridization initiation.
      Returns:
        Thermodynamics object containing the parameters for the hybridization initiation.

    - #### getInitiation

          public Thermodynamics getInitiation(java.lang.String type)

      to get the Thermodynamics object containing the parameters for the initiation with the specified type of initiation.
      Parameters:
        `type` - : type of initiation
      Returns:
        Thermodynamics object containing the parameters for the initiation with the specified type of initiation.

    - #### getsymmetry

          public Thermodynamics getsymmetry()

      to get the Thermodynamics object containing the parameters for the symmetry correction.
      Returns:
        Thermodynamics object containing the parameters for the symmetry correction.

    - #### getModifiedvalue

          public Thermodynamics getModifiedvalue(java.lang.String seq1,
                                        java.lang.String seq2)

      to get the Thermodynamics object containing the parameters for the crick's pair composed of the String seq1 and the String seq2 with one of the sequences containing a specific nucleic acid.
      Parameters:
        `seq1` - : sequence (5'3').
        `seq2` - : complementary sequence (3'5').
      Returns:
        Thermodynamics object containing the parameters for the crick's pair composed of the String seq1 and the String seq2 with one of the sequences containing a specific nucleic acid.

    - #### getModifiedvalue

          public Thermodynamics getModifiedvalue(java.lang.String seq1,
                                        java.lang.String seq2,
                                        java.lang.String sens)

      to get the Thermodynamics object containing the parameters for the String seq1 and the String seq2 with one of the sequences containing a specific nucleic acid and a dangling end.
      Parameters:
        `seq1` - : sequence (5'3').
        `seq2` - : complementary sequence (3'5').
        `sens` - : sens of the dangling end
      Returns:
        Thermodynamics object containing the parameters for the String seq1 and the String seq2 with one of the sequences containing a specific nucleic acid and a dangling end.

    - #### getAzobenzeneValue

          public Thermodynamics getAzobenzeneValue(java.lang.String seq1,
                                          java.lang.String seq2)

      to get the Thermodynamics object containing the parameters for the String seq1 and the String seq2 with one of the sequences containing an azobenzene ("X_C" or "X_T").
      Parameters:
        `seq1` - : sequence (5'3').
        `seq2` - : complementary sequence (3'5').
      Returns:
        Thermodynamics object containing the parameters for the String seq1 and the String seq2 with one of the sequences containing an azobenzene ("X_C" or "X_T").

    - #### getLockedAcidValue

          public Thermodynamics getLockedAcidValue(java.lang.String seq1,
                                          java.lang.String seq2)

      to get the Thermodynamics object containing the parameters for the String seq1 and the String seq2 with one of the sequences containing a locked nucleic acid ("AL", "TL", "GL" or "CL").
      Parameters:
        `seq1` - : sequence (5'3').
        `seq2` - : complementary sequence (3'5').
      Returns:
        Thermodynamics object containing the parameters for the String seq1 and the String seq2 with one of the sequences containing a locked nucleic acid ("AL", "TL", "GL" or "CL").

    - #### getHydroxyadenosineValue

          public Thermodynamics getHydroxyadenosineValue(java.lang.String seq1,
                                                java.lang.String seq2)

      to get the Thermodynamics object containing the parameters for the String seq1 and the String seq2 with one of the sequences containing a hydroxyadenine ("A*").
      Parameters:
        `seq1` - : sequence (5'3').
        `seq2` - : complementary sequence (3'5').
      Returns:
        Thermodynamics object containing the parameters for the String seq1 and the String seq2 with one of the sequences containing a hydroxyadenine ("A*").

    - #### getSecondDanglingValue

          public Thermodynamics getSecondDanglingValue(java.lang.String seq1,
                                              java.lang.String seq2,
                                              java.lang.String sens)

      to get the Thermodynamics object containing the parameters for the dangling end present in the duplex composed of seq1 and seq2 with the specified sens.
      Parameters:
        `seq1` - : sequence (5'3').
        `seq2` - : complementary sequence (3'5').
        `sens` - : sens of the dangling end
      Returns:
        Thermodynamics object containing the parameters for the dangling end present in the duplex composed of seq1 and seq2 with the specified sens.

    - #### getDanglingValue

          public Thermodynamics getDanglingValue(java.lang.String seq1,
                                        java.lang.String seq2)

      to get the Thermodynamics object containing the parameters for the dangling end present in the duplex composed of seq1 and seq2.
      Parameters:
        `seq1` - : sequence (5'3').
        `seq2` - : complementary sequence (3'5').
      Returns:
        Thermodynamics object containing the parameters for the dangling end present in the duplex composed of seq1 and seq2.

    - #### getMismatchValue

          public Thermodynamics getMismatchValue(java.lang.String seq1,
                                        java.lang.String seq2)

      to get the Thermodynamics object containing the parameters for the mismatch(es) present in the duplex composed of seq1 and seq2.
      Parameters:
        `seq1` - : sequence (5'3').
        `seq2` - : complementary sequence (3'5').
      Returns:
        Thermodynamics object containing the parameters for the mismatch(es) present in the duplex composed of seq1 and seq2.

    - #### getInternalLoopValue

          public Thermodynamics getInternalLoopValue(java.lang.String size)

      to get the Thermodynamics object containing the parameters for an internal loop with a specified size.
      Parameters:
        `size` - : size of the internal loop.
      Returns:
        Thermodynamics object containing the parameters for an internal loop with a specified size

    - #### getInitiationLoopValue

          public Thermodynamics getInitiationLoopValue(java.lang.String size)

      to get the Thermodynamics object containing the parameters for the initiation of an internal loop with a specified size.
      Parameters:
        `size` - : size of the internal loop.
      Returns:
        Thermodynamics object containing the parameters for the initiation of an internal loop with a specified size

    - #### getInitiationLoopValue

          public Thermodynamics getInitiationLoopValue()

      to get the Thermodynamics object containing the parameters for the initiation of an internal loop.
      Returns:
        Thermodynamics object containing the parameters for the initiation of an internal loop

    - #### getMismatchParameterValue

          public Thermodynamics getMismatchParameterValue(java.lang.String base1,
                                                 java.lang.String base2)

      to get the Thermodynamics object containing the parameters for the mismatching base pair (base1, base2).
      Parameters:
        `base1` - : from the sequence (5'3')
        `base2` - : from the complementary sequence (3'5')
      Returns:
        Thermodynamics object containing the parameters for the mismatching base pair (base1, base2).

    - #### getClosureValue

          public Thermodynamics getClosureValue(java.lang.String base1,
                                       java.lang.String base2)

      to get the Thermodynamics object containing the parameters for the base pair (base1, base2) next to the mismatching base pair.
      Parameters:
        `base1` - : from the sequence (5'3')
        `base2` - : from the complementary sequence (3'5')
      Returns:
        Thermodynamics object containing the parameters for the base pair (base1, base2) next to the mismatching base pair.

    - #### getMismatchValue

          public Thermodynamics getMismatchValue(java.lang.String seq1,
                                        java.lang.String seq2,
                                        java.lang.String closing)

      to get the Thermodynamics object containing the parameters for the the duplex composed of seq1 and seq2 with the specified type of closing base pairs.
      Parameters:
        `seq1` - : from the sequence (5'3')
        `seq2` - : from the complementary sequence (3'5')
        `closing` - : type of the base pair next to the mismatching base pair..
      Returns:
        Thermodynamics object containing the parameters for the the duplex composed of seq1 and seq2 with the specified type of closing base pairs.

    - #### getPenalty

          public Thermodynamics getPenalty(java.lang.String type)

      to get the Thermodynamics object containing the parameters for the penalty of type 'type'.
      Parameters:
        `type` - : type of the penalty
      Returns:
        Thermodynamics object containing the penalty of type 'type'.

    - #### getAsymmetry

          public Thermodynamics getAsymmetry()

      to get the Thermodynamics object containing the parameters for the internal loop asymmetry.
      Returns:
        Thermodynamics object containing the parameters for the internal loop asymmetry.

    - #### getFirstMismatch

          public Thermodynamics getFirstMismatch(java.lang.String seq1,
                                        java.lang.String seq2,
                                        java.lang.String loop)

      to get the Thermodynamics object containing the parameters for the first non canonical pair in the internal loop.
      Parameters:
        `seq1` - : from the sequence (5'3')
        `seq2` - : from the complementary sequence (3'5')
        `loop` - : type of internal loop.
      Returns:
        Thermodynamics object containing the parameters for the first non canonical pair in the internal loop.

    - #### getHairpinLoopvalue

          public Thermodynamics getHairpinLoopvalue(java.lang.String size)

      to get the Thermodynamics object containing the parameters for a Hairpin loop of size 'size'.
      Parameters:
        `size` - : size of the hairpin loop.
      Returns:
        Thermodynamics object containing the parameters for a Hairpin loop of size 'size'.

    - #### getBonus

          public Thermodynamics getBonus(java.lang.String base1,
                                java.lang.String lastBase,
                                java.lang.String seqLoop,
                                java.lang.String type)

      to get the Thermodynamics object containing the parameters for a Hairpin loop 'seqLoop' preceded by the base 'base1' and followed by the base 'lastBase'.
      Parameters:
        `base1` - : base preceding the hairpin loop. (from the sequence (5'3'))
        `lastBase` - : base following the hairpin loop. (from the sequence (5'3'))
        `seqLoop` - : hairpin loop sequence.
        `type` - : type of hairpin loop
      Returns:
        Thermodynamics object containing the parameters for a Hairpin loop 'seqLoop' preceded by the base 'base1' and followed by the base 'lastBase'.

    - #### getPenalty

          public Thermodynamics getPenalty(java.lang.String type,
                                  java.lang.String parameter)

      to get the Thermodynamics object containing the parameters for a penalty of type 'type' for the specified parameter.
      Parameters:
        `type` - : type of penalty
        `parameter` -
      Returns:
        Thermodynamics object containing the parameters for a penalty of type 'type' for the specified parameter.

    - #### getTerminalMismatchvalue

          public Thermodynamics getTerminalMismatchvalue(java.lang.String seq1,
                                                java.lang.String seq2)

      to get the Thermodynamics object containing the parameters for the terminal mismatching base pair (seq1, seq2) of a hairpin loop.
      Parameters:
        `seq1` - : (5'3') orientation
        `seq2` - : (3'5') orientation
      Returns:
        Thermodynamics object containing the parameters for the terminal mismatching base pair (seq1, seq2) of a hairpin loop.

    - #### getCNGvalue

          public Thermodynamics getCNGvalue(java.lang.String repeats,
                                   java.lang.String seq1)

      to get the Thermodynamics object containing the parameters for the CNG pattern 'seq1'. 'repeats' is the number of CNG repeats in the sequence.
      Parameters:
        `repeats` - : number of CNG repeats in the sequence.
        `seq1` - : CNG pattern (5'3')
      Returns:
        Thermodynamics object containing the parameters for the CNG pattern 'seq1'.

    - #### getSingleBulgeLoopvalue

          public Thermodynamics getSingleBulgeLoopvalue(java.lang.String seq1,
                                               java.lang.String seq2)

      to get the Thermodynamics object containing the parameters for the single bulge (seq1, seq2).
      Parameters:
        `seq1` - : from the sequence (5'3')
        `seq2` - : from the complementary sequence (3'5')
      Returns:
        Thermodynamics object containing the parameters for the single bulge (seq1, seq2).

    - #### getBulgeLoopvalue

          public Thermodynamics getBulgeLoopvalue(java.lang.String size)

      to get the Thermodynamics object containing the parameters for a bulge loop of size 'size'.
      Parameters:
        `size` - : size of the bulge loop
      Returns:
        Thermodynamics object containing the parameters for a bulge loop of size 'size'.

    - #### getInitiationBulgevalue

          public Thermodynamics getInitiationBulgevalue(java.lang.String size)

      to get the Thermodynamics object containing the parameters for the initiation of a bulge loop of size 'size'.
      Parameters:
        `size` - : size of the bulge loop
      Returns:
        Thermodynamics object containing the parameters for the initiation of a bulge loop of size 'size'.